Error de conexión. Inténtalo de nuevo.

Saltar al contenido
SEO Tools

Documentación de la API

API REST para análisis de webs, seguimiento de posiciones y herramientas SEO.

Autenticación

Crea un token en Perfil → Tokens API y envíalo en la cabecera. Crear token

Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx
# nebo
X-Api-Key: seo_xxxxxxxxxxxxxxxxxxxxxxxx

Base URL: https://apitools.seo-solution.cz/api/v1/ext

Endpoints

GET/me

Informace o účtu (ověření tokenu).

POST/analyze

Kompletní SEO analýza webu.

Body (JSON): { "url": "https://example.com" }

GET/rank/projects

Seznam projektů sledování pozic.

GET/rank/projects/{id}

Detail projektu — klíčová slova a pozice (per vyhledávač i lokace).

GET/rank/projects/{id}/dashboard

Dashboard pozic projektu.

POST/tools/{tool}

Spustí SEO nástroj. {tool} = robots, sitemap, schema, serp, hreflang, mobile, security, pagespeed, redirects, content, technology, accessibility, ux, cookies, dns, broken-links, geo.

Body (JSON): { "url": "https://example.com" }

Ejemplo (curl)

# SEO analýza webu
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/analyze" \
  -H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com"}'

# Sledování pozic — seznam projektů
curl "https://apitools.seo-solution.cz/api/v1/ext/rank/projects" \
  -H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx"

# Spuštění nástroje (robots.txt)
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/tools/robots" \
  -H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com"}'